Bug 613031 - initscript: guideline compliance
initscript: guideline compliance
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openwsman (Show other bugs)
6.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Vitezslav Crhonek
Martin Cermak
:
Depends On:
Blocks: 633349
  Show dependency treegraph
 
Reported: 2010-07-09 10:55 EDT by Ales Zelinka
Modified: 2011-05-19 09:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: openwsman-2.2.3-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:04:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
RHBA-2011-10472 testing results (16.42 KB, application/x-gzip)
2011-03-15 05:04 EDT, Martin Cermak
no flags Details

  None (edit)
Description Ales Zelinka 2010-07-09 10:55:16 EDT
Description of problem:
There's few issues with the openwsman's initscript:

According to these guidelines
https://fedoraproject.org/wiki/Packaging/SysVInitScript

The initscript should:

1) return 3 when status of a stopped service is queried:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Stop
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'service openwsmand stop'
:: [   FAIL   ] :: Running 'service openwsmand status' (Expected 3, got 0)
:: [   PASS   ] :: Running 'service openwsmand stop'
:: [   FAIL   ] :: Running 'service openwsmand status' (Expected 3, got 0)


2)PID file:
openwsmand creates pidfile /var/run/wsmand.pid instead of /var/run/openwsmand.pid as defined in the initscript. That itself is not an issue, but might help explain why: the pidfile is not removed when service is stopped.

3) exit code should be 2 when an invalid argument is provided:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Invalid arguments
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   FAIL   ] :: Running 'service openwsmand' (Expected 2, got 0)



Version-Release number of selected component (if applicable):
openwsman-server-2.2.3-5.el6.i686
Comment 13 Martin Cermak 2011-03-15 05:08:20 EDT
Verified manually on stable systems. See testing results [1] above. 

[1] https://bugzilla.redhat.com/show_bug.cgi?id=613031#c12
Comment 14 errata-xmlrpc 2011-05-19 09:04:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0563.html

Note You need to log in before you can comment on or make changes to this bug.